package com.ejie.ab39a.util;

import javax.servlet.http.HttpServletRequest;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.ejie.ab39a.constantes.Constantes;

/**
 * Clase de utilidades para el War
 * 
 *  
 *
 */
public class UtilidadesWar {

	private static final Logger logger = LoggerFactory.getLogger(UtilidadesWar.class);

	public static final String PORTAL_IDIOMA = "R01HLang";
	public static final String PORTAL_NUM_PORTAL = "R01HPortal";
	public static final String PORTAL_NUM_PAGINA = "R01HPage";

	/**
	 * Constructor por defecto
	 */
	private UtilidadesWar() {
		super();
	}

	/**
	 * Obtiene la parte correspondiente al portal junto con el idioma en curso.
	 * 
	 * @param request
	 *            El valor de la request. request
	 * @return String String
	 */
	public static String recuperarPartePortal(HttpServletRequest request) {
		String language = request.getParameter(UtilidadesWar.PORTAL_IDIOMA);
		String portal = request.getParameter(UtilidadesWar.PORTAL_NUM_PORTAL);
		String pagePortal = request.getParameter(UtilidadesWar.PORTAL_NUM_PAGINA);
		StringBuilder valorPortal = new StringBuilder(Constantes.STRING_BUILDER_INIT);
		if (portal != null && portal.trim().length() > 0 && pagePortal != null && pagePortal.trim().length() > 0) {
			valorPortal.append("/").append(portal).append("-").append(pagePortal).append("/").append(language);
		}
		valorPortal.append(request.getContextPath());
		return valorPortal.toString();
	}

	/**
	 * Obtiene la parte correspondiente al portal junto con el idioma en curso.
	 * 
	 * @param request
	 *            El valor de la request. request
	 * @return String String
	 */
	public static String recuperarPartePortalSinWar(HttpServletRequest request) {
		String language = request.getParameter(UtilidadesWar.PORTAL_IDIOMA);
		String portal = request.getParameter(UtilidadesWar.PORTAL_NUM_PORTAL);
		String pagePortal = request.getParameter(UtilidadesWar.PORTAL_NUM_PAGINA);
		StringBuilder valorPortal = new StringBuilder(Constantes.STRING_BUILDER_INIT);
		if (portal != null && portal.trim().length() > 0 && pagePortal != null && pagePortal.trim().length() > 0) {
			valorPortal.append("/").append(portal).append("-").append(pagePortal).append("/").append(language);
		}
		return valorPortal.toString();
	}

	/**
	 * Obtiene la parte correspondiente al portal junto con el idioma en curso.
	 * 
	 * @param request
	 *            El valor de la request. request
	 * @return String String
	 */
	public static String recuperarPartePortalIdiona(HttpServletRequest request) {

		return request.getParameter(UtilidadesWar.PORTAL_IDIOMA);
	}

}
